NixOS 24.05 released!

Hi everyone,

We are very pleased to announce the public availability of NixOS 24.05 (the Linux distribution) and nixpkgs 24.05 (the package set), under the codename “Uakari”.

This release was made possible by the effort of over 2400 contributors. I want to say thank you to everyone in the community for working on this.

A highlight of the release is GNOME 46, which introduces experimental VRR support, WebDAV support in Online Accounts, and more changes. The GNOME team has been working hard on the update for the past 3 months.

Another highlight is Plasma 6, which introduces new defaults, refreshed Breeze, HDR support, and more changes. @K900 has worked hard on this to make the transition from 5 to 6 as seamless as possible.

A lot more features and improvements also made it into the release, the full list can be found in the release notes.

The 23.11 “Tapir” release is now officially deprecated, and will reach its end-of-life and stop receiving security updates after 2024-06-30. Please schedule your upgrades accordingly.

We are scheduling a retrospective for 2024-06-09T18:00:00Z. If you have something to contribute, please join the release management room, where the URL will be announced.

Personally, I would like to thank @Mic92 for guiding me through everything, the release editor (@jacg) for working on the release notes. And special thanks to @riotbib for designing the logo for the release artwork, and @hexa for the clutch at the final release meeting.

Enjoy the new release! :tada:

107 Likes

Amazing, another good release. I’ve been rocking the pre-release since 24.05 was tagged. Very stable and wasn’t difficult to switch over to.

3 Likes

I just discovered how cool NixOS is today and was waiting to use it on my primary computer until a new release, then turns out the release happens the same day! Thank you for this amazing project <3

5 Likes

\o/ Time for upgrades!

Do you know if we’re gonna get Plasma 6.1 backported?

In the release notes:

The pre-existing services.ankisyncd has been marked deprecated and will be dropped after 24.05 due to lack of maintenance of the anki-sync-server software.

I think you meant ankisyncd at the end?

1 Like

Unfortunately we didn’t meet my goal of enabling systemd-stage-1 by default like I hoped. Among some other smaller issues, I got blocked by a huge GDM bug: GDM + GNOME crashes after 20 seconds with autologin, systemd initrd, and plymouth enabled. · Issue #309190 · NixOS/nixpkgs · GitHub

No idea how to solve that, but it blocks the whole thing, and I’m super bummed about that.

12 Likes

i enabled it on all my systems during this upgrade and appreciate your work… so while goal not met i want to make sure you understand value still provided and appreciated :heart:

4 Likes

If anyone has issues regarding Adwaita dark theme on GNOME after upgrading, see this post gtk4 dark theme broken since upgrade to 23.11 · Issue #274554 · NixOS/nixpkgs · GitHub, it helped me.